hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Allen Wittenauer (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-14474) Use OpenJDK 7 instead of Oracle JDK 7 to avoid oracle-java7-installer failures
Date Fri, 14 Jul 2017 16:31:00 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-14474?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16087552#comment-16087552
] 

Allen Wittenauer commented on HADOOP-14474:
-------------------------------------------

bq. The fix version says otherwise.

Well, it's wrong.  One of the nice things about Yetus is that it reveals quite a bit about
what is happening. Yetus switched to 2.8.2 based upon your patch name:

>From https://builds.apache.org/job/PreCommit-HADOOP-Build/12784/consoleFull:

{code}
HEAD is now at 5cf6a1a YARN-6805. NPE in LinuxContainerExecutor due to null PrivilegedOperationException
exit code. Contributed by Jason Lowe
Testing HADOOP-14521 patch on branch-2.8.2.
{code}

and then processed these lines https://github.com/apache/hadoop/blob/5cf6a1af0f1d1abdd7e9d29d5b427d554991c7dd/dev-support/docker/Dockerfile#L83-L85

which then blew up.

Note that the git hash that was switched to and the github reference match.  So, no, this
fix isn't in 2.8.2. I suspect what's in 2.8.2 vs. what JIRA thinks are in 2.8.2 is wildly
wrong, again, because the branch was cut way too long ago and most people don't realize that
branch-2.8 is actually 2.8.3 now.  It's a mess generated by aggressive RMs that then fall
off the face of the earth, but it doesn't appear the PMC really cares about this problem enough
to put an end to it.  Given that 2.8.1 was voted as a valid release almost 2 months ago and
still hasn't seen the light of day says a lot.


> Use OpenJDK 7 instead of Oracle JDK 7 to avoid oracle-java7-installer failures
> ------------------------------------------------------------------------------
>
>                 Key: HADOOP-14474
>                 URL: https://issues.apache.org/jira/browse/HADOOP-14474
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 2.8.0, 2.7.3
>            Reporter: Akira Ajisaka
>            Assignee: Akira Ajisaka
>             Fix For: 2.9.0, 2.7.4, 2.6.6, 2.8.2
>
>         Attachments: HADOOP-14474-branch-2.01.patch
>
>
> Recently Oracle has changed the download link for Oracle JDK7, and that's why oracle-java7-installer
fails. Precommit jobs for branch-2* are failing because of this failure.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message